//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// Z poniższym kodem nie jest związana żadna gwarancja poprawności działania.
// Program został dołączony do książki ".NET CLR. Księga eksperta" w celu
// ilustracji koncepcji i zasad przedstawionych w tej książce. Program może być 
// używany na własne ryzyko.
//
// Przyznaje się prawo do użycia lub kopiowania tego oprogramowania do dowolnego celu
// bez konieczności ponoszenia żadnych opłat pod warunkiem, że powyższe uwagi zostaną 
// zachowane we wszystkich kopiach. Przyznaje się także prawo do modyfikacji kodu
// i dystrybucji zmodyfikowanego kodu pod warunkiem zachowania powyższych uwag
// oraz dołączenia informacji mówiącej o modyfikacji kodu.
//
// 
using System;

namespace FrameworkLibraries
{
	public class MathMain 
	{
		static void Main(string [] args)
		{
			Console.WriteLine("Pi: {0}", Math.PI);
			Console.WriteLine("E: {0}", Math.E);
			Console.WriteLine("sqrt(2): {0}", Math.Sqrt(2.0));
			Console.WriteLine("log(e): {0}", Math.Log(Math.E));
			Console.WriteLine("cos(pi): {0}", Math.Cos(Math.PI));
			Console.WriteLine("sin(pi): {0}", Math.Sin(Math.PI));
			Console.WriteLine("2^5: {0}", Math.Pow(2,5));
		}
	}
}